// ezManagerLib_ExampleDlg.h : header file
//

#if !defined(AFX_EZMANAGERLIB_EXAMPLEDLG_H__9A7CDE6B_AFCC_430A_8236_98E7F2DAB2C7__INCLUDED_)
#define AFX_EZMANAGERLIB_EXAMPLEDLG_H__9A7CDE6B_AFCC_430A_8236_98E7F2DAB2C7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEzManagerLib_ExampleDlg dialog

#include "ezManagerLibrary.h"

#define MK_IP(__b1,__b2,__b3,__b4) \
( ((unsigned long)(__b4) << 24) | ((unsigned long)(__b3) << 16) | \
  ((unsigned long)(__b2) <<  8) | ((unsigned long)(__b1)) )

class CEzManagerLib_ExampleDlg : public CDialog
{
// Construction
public:
	void h_scroll();
	CEzManagerLib_ExampleDlg(CWnd* pParent = NULL);	// standard constructor
	~CEzManagerLib_ExampleDlg();
// Dialog Data
	//{{AFX_DATA(CEzManagerLib_ExampleDlg)
	enum { IDD = IDD_EZMANAGERLIB_EXAMPLE_DIALOG };
	CEdit	m_slave_id_ctrl;
	CComboBox	m_tcp_connection;
	CComboBox	m_combo_style_ctrl;
	CComboBox	m_combo_ddns_ctrl;
	CEdit	m_script_0_ctrl;
	CEdit	m_script_1_ctrl;
	CEdit	m_script_2_ctrl;
	CEdit	m_script_3_ctrl;
	CEdit	m_script_4_ctrl;
	CEdit	m_script_5_ctrl;
	CEdit	m_script_6_ctrl;
	CEdit	m_script_7_ctrl;
	CEdit	m_output_addr_ctrl;
	CEdit	m_input_addr_ctrl;
	CButton	m_modbus_ctrl;
	CButton	m_macro_ctrl;
	CButton	m_http_ctrl;
	CEdit	m_peer_ctrl1;
	CEdit	m_peer_ctrl2;
	CEdit	m_peer_ctrl3;
	CEdit	m_peer_ctrl4;
	CEdit	m_baud_ctrl1;
	CEdit	m_baud_ctrl2;
	CEdit	m_baud_ctrl3;
	CEdit	m_baud_ctrl4;
	CComboBox	m_mux1;
	CComboBox	m_mux2;
	CComboBox	m_mux3;
	CComboBox	m_mux4;
	CEdit	m_status_ctrl;
	CListBox	m_list_eztcp;
	int		m_local_remote;
	CString	m_product;
	CString	m_status;
	CString	m_baud_rate1;
	CString	m_baud_rate2;
	CString	m_baud_rate3;
	CString	m_baud_rate4;
	CString	m_peer1;
	CString	m_peer2;
	CString	m_peer3;
	CString	m_peer4;
	BOOL	m_macro;
	BOOL	m_modbus;
	BOOL	m_http;
	CString	m_script_0;
	CString	m_script_1;
	CString	m_script_2;
	CString	m_script_3;
	CString	m_script_4;
	CString	m_script_5;
	CString	m_script_6;
	CString	m_script_7;
	int		m_slave_id;
	CString	m_cur_pwd;
	CString	m_new_pwd;
	CEdit	m_di_str0_ctrl;
	CEdit	m_di_str1_ctrl;
	CEdit	m_di_str2_ctrl;
	CEdit	m_di_str3_ctrl;
	CEdit	m_di_str4_ctrl;
	CEdit	m_di_str5_ctrl;
	CEdit	m_di_str6_ctrl;
	CEdit	m_di_str7_ctrl;
	CEdit	m_do_str0_ctrl;
	CEdit	m_do_str1_ctrl;
	CEdit	m_do_str2_ctrl;
	CEdit	m_do_str3_ctrl;
	CEdit	m_do_str4_ctrl;
	CEdit	m_do_str5_ctrl;
	CEdit	m_do_str6_ctrl;
	CEdit	m_do_str7_ctrl;
	CString	m_di_str0;
	CString	m_di_str1;
	CString	m_di_str2;
	CString	m_di_str3;
	CString	m_di_str4;
	CString	m_di_str5;
	CString	m_di_str6;
	CString	m_di_str7;
	CString	m_do_str0;
	CString	m_do_str1;
	CString	m_do_str2;
	CString	m_do_str3;
	CString	m_do_str4;
	CString	m_do_str5;
	CString	m_do_str6;
	CString	m_do_str7;
	CString	m_ddns_hostname;
	CString	m_ddns_id;
	CString	m_ddns_pwd;
	CString	m_fw_version;
	CString	m_ea0;
	CString	m_ea1;
	CString	m_ea2;
	CString	m_ea3;
	CString	m_ea4;
	CString	m_ea5;
	CString	m_eztcp_addr;
	CString	m_local_ip_addr;
	CString	m_subnet_ip4;
	CString	m_ddns_port_str;
	CString	m_ddns_interval_str;
	CString	m_unit_id;
	CString	m_input_address;
	CString	m_output_address;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEzManagerLib_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEzManagerLib_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonSearch();
	afx_msg void OnRadioLocal();
	afx_msg void OnRadioRemote();
	afx_msg void OnSelchangeListEztcp();
	afx_msg void OnButtonStatus();
	afx_msg void OnButtonWrite();
	afx_msg void OnButtonChangePwd();
	afx_msg void OnButtonDeletePwd();
	afx_msg void OnButtonPwdSet();
	afx_msg void OnButtonVersion();
	afx_msg void OnButtonCloseTcp();
	afx_msg void OnButtonRead();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void print_error_message(int code);
	CString		*p_baud		[MAX_COM_PORT];
	CEdit		*p_baud_ctrl[MAX_COM_PORT];
	CString		*p_peer		[MAX_COM_PORT];
	CEdit		*p_peer_ctrl[MAX_COM_PORT];
	CComboBox	*p_mux_ctrl	[MAX_COM_PORT];

	//struct lib_env* lib_env_base;
	//struct tcp_status_env tcp_status_env[MAX_TCP_SESSION];
	int m_tcp_count;
public:
	afx_msg void OnBnClickedButtonCert0();
	afx_msg void OnBnClickedButtonCert1();
	afx_msg void OnBnClickedButtonCert2();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EZMANAGERLIB_EXAMPLEDLG_H__9A7CDE6B_AFCC_430A_8236_98E7F2DAB2C7__INCLUDED_)
